SDL_BUTTON(3)

NAME
SDL_BUTTON - Used as a mask when testing buttons in buttonstate.

HEADER FILE
Defined in SDL3/SDL_mouse.h

SYNOPSIS
#include "SDL3/SDL.h"

#define SDL_BUTTON(X)       (1 << ((X)-1))

DESCRIPTION
• Button 1: Left mouse button • Button 2: Middle mouse button • Button 3: Right mouse button • Button 4: Side mouse button 1 • Button 5: Side mouse button 2

AVAILABILITY
This macro is available since SDL 3.0.0.